Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Interface ClsListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  ClsAdapter

    public interface ClsListener

extends EventListener

Listener for events resulting from a class change.

Author:
  Ray Fergerson

Method Summary
`void` | `directInstanceAdded(ClsEvent event)`
`void` | `directInstanceRemoved(ClsEvent event)`
`void` | `directSubclassAdded(ClsEvent event)`
`void` | `directSubclassMoved(ClsEvent event)`
`void` | `directSubclassRemoved(ClsEvent event)`
`void` | `directSuperclassAdded(ClsEvent event)`
`void` | `directSuperclassRemoved(ClsEvent event)`
`void` | `templateFacetAdded(ClsEvent event)`
`void` | `templateFacetRemoved(ClsEvent event)`
`void` | `templateFacetValueChanged(ClsEvent event)`
`void` | `templateSlotAdded(ClsEvent event)`
`void` | `templateSlotRemoved(ClsEvent event)`
`void` | `templateSlotValueChanged(ClsEvent event)`

Method Detail

### directInstanceAdded

    void directInstanceAdded(ClsEvent event)

### directInstanceRemoved

    void directInstanceRemoved(ClsEvent event)

### directSubclassAdded

    void directSubclassAdded(ClsEvent event)

### directSubclassMoved

    void directSubclassMoved(ClsEvent event)

### directSubclassRemoved

    void directSubclassRemoved(ClsEvent event)

### directSuperclassAdded

    void directSuperclassAdded(ClsEvent event)

### directSuperclassRemoved

    void directSuperclassRemoved(ClsEvent event)

### templateFacetAdded

    void templateFacetAdded(ClsEvent event)

### templateFacetRemoved

    void templateFacetRemoved(ClsEvent event)

### templateFacetValueChanged

    void templateFacetValueChanged(ClsEvent event)

### templateSlotAdded

    void templateSlotAdded(ClsEvent event)

### templateSlotRemoved

    void templateSlotRemoved(ClsEvent event)

### templateSlotValueChanged

    void templateSlotValueChanged(ClsEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.